Qwt User's Guide: QwtSaturationValueColorMap Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QwtSaturationValueColorMap Class Reference

QwtSaturationValueColorMap varies the saturation and/or value for a given hue in the HSV color model. More...

`#include <qwt_color_map.h>`

Inheritance diagram for QwtSaturationValueColorMap:

## Public Member Functions
| QwtSaturationValueColorMap ()
| Constructor.
virtual | ~QwtSaturationValueColorMap ()
| Destructor.
void | setHue (int hue)
| Set the the hue coordinate.
void | setSaturationInterval (int sat1, int sat2)
| Set the interval for the saturation coordinate.
void | setValueInterval (int value1, int value2)
| Set the interval for the value coordinate.
void | setAlpha (int alpha)
| Set the the alpha coordinate.
int | hue () const
int | saturation1 () const
int | saturation2 () const
int | value1 () const
int | value2 () const
int | alpha () const
virtual QRgb | rgb (const QwtInterval &, double value) const override
Public Member Functions inherited from QwtColorMap
| QwtColorMap (Format=QwtColorMap::RGB)
virtual | ~QwtColorMap ()
| Destructor.
void | setFormat (Format)
virtual uint | colorIndex (int numColors, const QwtInterval &interval, double value) const
| Map a value of a given interval into a color index.
QColor | color (const QwtInterval &, double value) const
virtual QVector< QRgb > | colorTable (int numColors) const
virtual QVector< QRgb > | colorTable256 () const

## Additional Inherited Members
Public Types inherited from QwtColorMap
enum | Format { RGB , Indexed }
Public Attributes inherited from QwtColorMap
Format | const

## Detailed Description

QwtSaturationValueColorMap varies the saturation and/or value for a given hue in the HSV color model.

Value and saturation are in the range of 0 to 255 while hue is in the range of 0 to 259.

See also
  QwtHueColorMap

Definition at line 214 of file qwt_color_map.h.

## Constructor & Destructor Documentation

## ◆ QwtSaturationValueColorMap()

QwtSaturationValueColorMap::QwtSaturationValueColorMap | ( |  | ) |

Constructor.

The value interval is initialized by 0 to 255, saturation by 255 to 255. Hue to 0 and alpha to 255.

So the default setting interpolates the value coordinate only.

See also
  setHueInterval(), setSaturation(), setValue(), setValue()

Definition at line 972 of file qwt_color_map.cpp.

## ◆ ~QwtSaturationValueColorMap()

QwtSaturationValueColorMap::~QwtSaturationValueColorMap | ( |  | ) |
| virtual

Destructor.

Definition at line 978 of file qwt_color_map.cpp.

## Member Function Documentation

## ◆ alpha()

int QwtSaturationValueColorMap::alpha | ( |  | ) | const

Returns
  Alpha coordinate

See also
  setAlpha()

Definition at line 1127 of file qwt_color_map.cpp.

## ◆ hue()

int QwtSaturationValueColorMap::hue | ( |  | ) | const

Returns
  Hue coordinate

See also
  setHue()

Definition at line 1082 of file qwt_color_map.cpp.

## ◆ rgb()

QRgb QwtSaturationValueColorMap::rgb | ( | const QwtInterval & | interval,
|  | double | value ) const
| overridevirtual

Map a value of a given interval into a RGB value

Parameters

  interval | Range for all values
  value | Value to map into a RGB value

Returns
  RGB value for value

Implements QwtColorMap.

Definition at line 1140 of file qwt_color_map.cpp.

## ◆ saturation1()

int QwtSaturationValueColorMap::saturation1 | ( |  | ) | const

Returns
  First saturation coordinate

See also
  setSaturationInterval()

Definition at line 1091 of file qwt_color_map.cpp.

## ◆ saturation2()

int QwtSaturationValueColorMap::saturation2 | ( |  | ) | const

Returns
  Second saturation coordinate

See also
  setSaturationInterval()

Definition at line 1100 of file qwt_color_map.cpp.

## ◆ setAlpha()

void QwtSaturationValueColorMap::setAlpha | ( | int | alpha | ) |

Set the the alpha coordinate.

alpha needs to be in the range 0 to 255, where 255 means opaque and 0 means transparent.

Parameters

  alpha | Alpha coordinate

See also
  alpha()

Definition at line 1067 of file qwt_color_map.cpp.

## ◆ setHue()

void QwtSaturationValueColorMap::setHue | ( | int | hue | ) |

Set the the hue coordinate.

Hue coordinates outside 0 to 359 will be interpreted as hue % 360..

Parameters

  hue | Hue coordinate

See also
  hue()

Definition at line 992 of file qwt_color_map.cpp.

## ◆ setSaturationInterval()

void QwtSaturationValueColorMap::setSaturationInterval | ( | int | saturation1,
|  | int | saturation2 )

Set the interval for the saturation coordinate.

When saturation1 == saturation2 the map interpolates between the value coordinates only

saturation1/saturation2 need to be in the range 0 to 255.

Parameters

  saturation1 | First saturation
  saturation2 | Second saturation

See also
  saturation1(), saturation2(), setValueInterval()

Definition at line 1016 of file qwt_color_map.cpp.

## ◆ setValueInterval()

void QwtSaturationValueColorMap::setValueInterval | ( | int | value1,
|  | int | value2 )

Set the interval for the value coordinate.

When value1 == value2 the map interpolates between the saturation coordinates only.

value1/value2 need to be in the range 0 to 255.

Parameters

  value1 | First value
  value2 | Second value

See also
  value1(), value2(), setSaturationInterval()

Definition at line 1043 of file qwt_color_map.cpp.

## ◆ value1()

int QwtSaturationValueColorMap::value1 | ( |  | ) | const

Returns
  First value coordinate

See also
  setValueInterval()

Definition at line 1109 of file qwt_color_map.cpp.

## ◆ value2()

int QwtSaturationValueColorMap::value2 | ( |  | ) | const

Returns
  Second value coordinate

See also
  setValueInterval()

Definition at line 1118 of file qwt_color_map.cpp.